Subject: Consensus? #843 section 3.5 - ISOC BoT and overturning decisions

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 11 Feb 2005 17:02:35 +0100

The current text says:

> In no circumstances may the IAB or
> ISOC Board of Trustees overturn a decision of the IAOC that nvolves
> a binding contract or overturn a personnel-related action (such as
> hiring, firing, promotion, demotion, performance reviews, salary
> adjustments, etc.).

Margaret objected that because of ISOC's fiduciary responsibility, the 
right to overturn stuff that was actively harmful to ISOC couldn't be taken 
away from them.

John commented that in his opinion, giving the ISOC BoT the power to 
overturn on appeal made certain unpalatable scenarios more likely.

However, this paragraph deals with *appeals*, not the ISOC BoT general 
financial oversight function. And I do not think that the ISOC BoT needs to 
have a special power to do on appeal what they can already do because of 
their fiduciary responsibility - nor should they.

So I suggest the following modification to the paragraph:

                        In no circumstances may the IAB or
   ISOC Board of Trustees overturn a decision of the IAOC that involves
   a binding contract or overturn a personnel-related action (such as
   hiring, firing, promotion, demotion, performance reviews, salary
   adjustments, etc.) as a result of an appeal.

That should prevent the scenario that worried John, but makes it clear that 
the ISOC BoT's oversight role is not what's being circumscribed here.

Makes sense?

                 Harald

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Margaret Wasserman <[email-masked]>
Date: Fri, 11 Feb 2005 14:10:16 -0500

Hi Harald,

>   adjustments, etc.) as a result of an appeal.

So, if a person appeals a decision of the IAD or IAOC to the ISOC 
Board and, in the course of investigating that appeal, the ISOC Board 
determines that a contract or personnel decision violates ISOC's 
accounting policies, violates the laws of the country most likely to 
have jurisdiction and/or could result in substantial liability for 
ISOC (these are the types of exceptional situations that I could 
envision falling under this clause) could the ISOC Board overturn the 
decision?  Or would the ISOC Board be constrained to providing 
"advice" to the IAOC because this issue was discovered as the result 
of an appeal?

I am not comfortable with the idea that the ISOC Board would be 
constrained to providing advice in this (extremely unlikely) 
situation, since the IAOC does not have responsibility to uphold ISOC 
policy, ensure that ISOC conducts its business in a legal manner 
and/or protect ISOC from liability -- the ISOC Board does.

My understanding of the justification for why the IAB should not be 
able to mess with contracts or personnel decisions is that the IAB is 
not chosen for business expertise and therefore might lack the 
expertise to fully understand the implications of changing those 
decisions.  I certainly hope that isn't true of the ISOC Board 
(present company excepted, of course).

I'm also somewhat uncomfortable with the process that is resulting in 
these changes (the ones that I have suggested, as well as the ones 
that I don't like)...  We seem to be changing the document quite 
frequently (faster than I feel I can keep up, sometimes multiple 
times between actual revisions), and many of these changes are being 
made based on the comments of one or two people.  In some cases (not 
this one) we are making changes to text that has been stable in the 
document for months.

Are you sure that everyone who cares about this process is keeping up 
with these changes?  Is there some plan for making sure that everyone 
is still in-sync on a final version?  I think that an IETF LC is 
supposed to serve that purpose, but we seem to have already held 
ours...

Margaret

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 11 Feb 2005 20:45:21 +0100

I do not think that the ISOC BoT would be constrained to providing advice 
in the situation you describe. It would, however, have to say "this is an 
actiobn we take because we have a responsibility for ISOC, not because 
we're investigating this single issue".

While this sounds a lot like "I am going to tell myself that I should do 
something about this issue, then I'll turn around and do it", I think it is 
still the right thing to do.

The ISOC BoT has two very distinct roles - appeal path and financial 
oversight - and I think it's definitely the right thing for them to process 
the appeal, and then take action on what's discovered as a separate action.

I'll reply to the processing discussion in another message.

                  Harald

--On fredag, februar 11, 2005 14:10:16 -0500 Margaret Wasserman 
<[email-masked]> wrote:

> So, if a person appeals a decision of the IAD or IAOC to the ISOC Board
> and, in the course of investigating that appeal, the ISOC Board
> accounting policies, violates the laws of the country most likely to have
> jurisdiction and/or could result in substantial liability for ISOC (these
> are the types of exceptional situations that I could envision falling
> under this clause) could the ISOC Board overturn the decision?  Or would
> the ISOC Board be constrained to providing "advice" to the IAOC because
> this issue was discovered as the result of an appeal?
>
> constrained to providing advice in this (extremely unlikely) situation,
> since the IAOC does not have responsibility to uphold ISOC policy, ensure
> that ISOC conducts its business in a legal manner and/or protect ISOC
> from liability -- the ISOC Board does.
>
> My understanding of the justification for why the IAB should not be able
> to mess with contracts or personnel decisions is that the IAB is not
> chosen for business expertise and therefore might lack the expertise to
> fully understand the implications of changing those decisions.  I
> certainly hope that isn't true of the ISOC Board (present company
> excepted, of course).
>
> these changes (the ones that I have suggested, as well as the ones that I
> don't like)...  We seem to be changing the document quite frequently
> (faster than I feel I can keep up, sometimes multiple times between
> actual revisions), and many of these changes are being made based on the
> comments of one or two people.  In some cases (not this one) we are
> making changes to text that has been stable in the document for months.
>
> with these changes?  Is there some plan for making sure that everyone is
> still in-sync on a final version?  I think that an IETF LC is supposed to
> serve that purpose, but we seem to have already held ours...
>
> Margaret
>
>

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 11 Feb 2005 21:04:44 +0100

> serve that purpose, but we seem to have already held ours...

I continue to hold to the same theory: That I'll hold a DISCUSS for the 
document at least 7 days past its final change.

In calling for comments on the -06 version, I called for people to raise 
show-stopper issues. We have heard comments from the ISOC BoT that resulted 
from their legal review, and we have heard your comment that you dislike 
the language that seems to you to restrict the BoT's ability to act on 
issues that their fiduciary responsibility would require them to act on.

Since we had to spin a revision for these two things, my opinion was that 
we should also include a fix for Eric's IPR issue, since it seemed to 
reflect what we hae talked about but not encapsulated in the BCP, and we 
could do so while couching it as "advice, not rules".

That's all the changes for now.

The dates on the versions (published) are:

- 00: Nov 16
- 01: Dec 2
- 02: Dec 9
- 03: Dec 23
- 04: Jan 14
- 05: Jan 26
- 06: Feb 1

Our previous (October) schedule expected the -02 version to be the last 
one.  The fact is - people did not stop raising issues, and some of the 
issues raised were important enough to spend time hashing out.

I do think we need to conclude this process and, as Brian Carpenter is fond 
of saying, "get on with it".

In the face of issues raised that people think are important, and that 
people disagree upon, I do not see that we have much choice in the process 
to follow.

-07 is now on the way to the I-D folks, 10 days after the previous version 
was published.

                         Harald

---

From: Margaret Wasserman <[email-masked]>
Date: Fri, 11 Feb 2005 15:16:50 -0500

>I continue to hold to the same theory: That I'll hold a DISCUSS for 
>the document at least 7 days past its final change.

Okay, that sounds reasonable.

I got confused somewhere along the line, and I though that you were 
holding your discuss until -07 was published, some time around now...

A 7-day "yell-now-or-forever-hold-your-peace" period is okay with me. 
Maybe you could even extend the official last call to the end of that 
7-day period?

I'm really not planning on finding any more issues...  Of course, I 
wasn't planning on finding any issues in the last version, it just 
happened.

Margaret

---

From: John C Klensin <[email-masked]>
Date: Fri, 11 Feb 2005 15:29:36 -0500

Margaret,

Four observations...

(1) While I can follow your concern, I see nothing in the text
that prevents the ISOC BoT from exerting whatever oversight and
review authority it has just because it became aware of
something because of an appeal.  The text says "as the _result_
of an appeal" (emphasis mine) and that seems about as clear as
can be.  

Whether the document is clear and precise enough to permit the
ISOC Board the degree of review and oversight that is needed,
and no more and no less, is a subject about which I don't have
an opinion at the moment.  But it seems to be that question is
where you should be focusing your attention.  All this text says
to me is that the ISOC BoT isn't able to use the fact of an
appeal as the justification for exercising authority that it
would not otherwise have.  To illustrate that claim, contrast
the ISOC BoT's situation with that of the IAB.  The IAB normally
has no authority to direct the IAOC to do, or not do, anything
at all, ever, except to go review a decision (it can provide
input, but so can everyone else).  On an appeal, the IAB
acquires some additional authority to tell the IAOC to change
what it is doing, as long as that doesn't involve the exceptions
set forth in this section.    But the ISOC BoT, to the extent to
which it has the authority you are requesting for the
circumstances you describe, doesn't need to have an appeal in
process to give it that authority -- the appeal changes nothing.

(2) You are getting excited about an extremely low probability
edge case.  To the extent to which we have appeals, I think we
expect them to be about situations in which the IAD or IAOC
makes a decision that reflects either lack of adequate
information or bad judgment. That could clearly happen (although
see (3)).  The case you seem to be addressing is one in which a
decision is made that is illegal, fiscally impossible, in clear
violation of well-understood policies, blatantly immoral, etc.
(I have added a few possible cases to your list to reinforce the
point.)  They are making these wrong-headed decisions with the
ISOC President and the additional ISOC-appointed representative
(and others) not only completely asleep at the switch, but
managing to stay asleep during the first three stages of an
appeal in practice, i.e., managing to sleep through subsequent...
    * Loud screams in private
    * Really loud screams in public
    * Appeal to the IAB and processing
I know the first two aren't required by the procedures, but we
both know this community, don't we?

I think that combination of circumstances is either so unlikely
that it isn't worth our putting energy into or so serious that,
were it to occur, fixing the particular act would not be our
main problem.

(3) Nothing in the remarks above should be taken as indicating
that I'm any happier with this appeals model than I have been
all along.  My desire to ignore the question and get on with
things is based, not on the belief that the model and procedure
are correct, but on the belief that either the procedure will
(almost?) never be used or that we will rapidly discover the
problems in practice and then get them fixed.

(4) And I probably agree with you about the nature and progress
of changes after the last call has closed and without the
expectation of another one, on a finished document.   I think
the rapidity of change, the dropping participation level, etc.,
create very significant risks.  Whether those risks are worth it
is, of course, another question.  That question, for me, is
strongly colored by different assumptions about the implications
of the possible shift in the ownership of Foretec and the
associated conditions.

   john

--On Friday, 11 February, 2005 14:10 -0500 Margaret Wasserman
<[email-masked]> wrote:

>>   ISOC Board of Trustees overturn a decision of the IAOC that
>>   involves a binding contract or overturn a personnel-related
>>   action (such as hiring, firing, promotion, demotion,
>>   performance reviews, salary adjustments, etc.) as a result
>>   of an appeal.
> 
> So, if a person appeals a decision of the IAD or IAOC to the
> ISOC Board and, in the course of investigating that appeal,
> the ISOC Board determines that a contract or personnel
> decision violates ISOC's accounting policies, violates the
> laws of the country most likely to have jurisdiction and/or
> could result in substantial liability for ISOC (these are the
> types of exceptional situations that I could envision falling
> under this clause) could the ISOC Board overturn the decision?
> Or would the ISOC Board be constrained to providing "advice"
> to the IAOC because this issue was discovered as the result of
> an appeal?
> 
> I am not comfortable with the idea that the ISOC Board would
> be constrained to providing advice in this (extremely
> unlikely) situation, since the IAOC does not have
> responsibility to uphold ISOC policy, ensure that ISOC
> conducts its business in a legal manner and/or protect ISOC
> My understanding of the justification for why the IAB should
> not be able to mess with contracts or personnel decisions is
> that the IAB is not chosen for business expertise and
> therefore might lack the expertise to fully understand the
> implications of changing those decisions.  I certainly hope
> that isn't true of the ISOC Board (present company excepted,
> of course).
> 
> I'm also somewhat uncomfortable with the process that is
> resulting in these changes (the ones that I have suggested, as
> well as the ones that I don't like)...  We seem to be changing
> the document quite frequently (faster than I feel I can keep
> up, sometimes multiple times between actual revisions), and
> many of these changes are being made based on the comments of
> one or two people.  In some cases (not this one) we are making
> changes to text that has been stable in the document for
> months.
> 
> Are you sure that everyone who cares about this process is
> keeping up with these changes?  Is there some plan for making
> sure that everyone is still in-sync on a final version?  I
> think that an IETF LC is supposed to serve that purpose, but
> we seem to have already held ours...
> 
> Margaret
> 
>

---

From: Sam Hartman <[email-masked]>
Date: Sat, 12 Feb 2005 23:52:23 -0500

>>>>> "Harald" == Harald Tveit Alvestrand <[email-masked]> writes:

    Harald> I do not think that the ISOC BoT would be constrained to
    Harald> providing advice in the situation you describe. It would,
    Harald> however, have to say "this is an actiobn we take because
    Harald> we have a responsibility for ISOC, not because we're
    Harald> investigating this single issue".

    Harald> While this sounds a lot like "I am going to tell myself
    Harald> that I should do something about this issue, then I'll
    Harald> turn around and do it", I think it is still the right
    Harald> thing to do.

I think that structures wher you tell yourself to do something then do
it can sometimes be the right structure.

I think this is one of those cases.